using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    public class TransactionDataAck : CardMessageBase
    {
        #region Constructor

        public TransactionDataAck() : base(Command.TransactionDataAck)
        {

        }

        #endregion

        #region Properties

        [Format(1, EncodingType.BIN, -90)]
        public byte Result { get; set; }

        [Format(4, EncodingType.BcdString, -89)]
        public string TerminalId { get; set; }

        [Format(2, EncodingType.BCD, -88)]
        public ushort UnspecifiedField1 { get; set; }

        #endregion
    }
}
